Page MenuHomePhabricator

Review Suggested edits V3 copy
Closed, ResolvedPublic1 Estimate Story Points

Description


⚠️Check out the written copy below as the screens above might be outdated


  • Snackbar
    • %userName, did you know that everyone can edit Wikipedia?
    • Get started
  • Onboarding:
    • Hi %userName, did you know that everyone can edit Wikipedia? Below you can find fun ways to help improve Wikipedia. Happy editing!
  • Profile stats:
    • Tooltips:
      • Contributions: Your total number of contributions with Suggested edits.
      • Edit streak: How many days without break you've contributed using Suggested edits.
      • Pageviews: Total pageviews of items you contributed to in the last 30 days with Suggested edits.
      • Edit quality: Based on how many times one of your contributions was reverted. Reverted edits: %numberOfRevertedEdits.
    • Task introduction: %userName, thanks for your edits. Below you can find more ways to contribute to Wikipedia.
  • Tasks:
    • IMAGE CAPTIONS
      • Image captions describe an image to help readers understand its meaning and context.
    • ARTICLE DESCRIPTIONS
      • Article descriptions summarize an article to help readers understand the subject at a glance.
  • Paused (until one week from now):
    • Suggested edits is paused until October 8, 2019. Sorry %userName, some of your recent contributions have been reverted. Learn how to improve your editing skills on Wikipedia with the links below.
  • Disabled (too many reverts):
    • Suggested edits is disabled. Sorry %userName, too many of your recent contributions have been reverted. Learn what this means with the links below.
  • Blocked (IP or userName):
    • The IP you are using is blocked from editing Wikipedia. Learn more about blocks by visiting the link below.
    • Your userName is blocked from editing Wikipedia. Learn more about blocks by visiting the link below.

Event Timeline

Hey @Charlotte and @Johan, I thought it would make sense for you to review the Suggested edits V3 copy.

You’ll find my suggestions in the task’s description. I’d appreciate not too many changes in regards to length (characters/words) as it is interface copy and specifically created with having the UI and its hierarchy in mind.

Thanks!

CC @Sharvaniharan as T231445 is affected by this as well.

So I should have thought of this earlier, but in general, I think it would benefit us if we made the language simpler. Even if I want to read and edit in a language that isn't English, in most cases, I'd still have to use the English interface. A few comments on the language as is shown in the images in general, not just here.

2/9

"Find opportunities to contribute" might be unnecessarily convoluted? Maybe "Below you can contribute to and improve Wikipedia"?

The text under image captions starts with "concisely describe" and it's not obvious if this is what the captions do, or a description of the action. Article descriptions, on the other hand, start with "Article descriptions are ..." – maybe a bit more consistency? Or is that only because of length?

I think starting a sentence with "concisely" might scare away some people who don't speak English on a near-native level.

And "disambiguate" might also be something we could rephrase – one can be very good at English without knowing that word.

5/9

Likewise, "subsequent" might be unnecessarily complicated. "Record in days in a row contributing ..." maybe?

7/9

"Bases on" should probably say "Based on".

Charlotte updated the task description. (Show Details)Sep 26 2019, 11:27 AM

@Johan - I've made a pass at editing the language above. Let me know what you think.

"Consecutive" might also be a tad difficult for someone who wants to use the app for other languages than English.

If "in a row" doesn't work ... something about "days without break" maybe?

@Johan: screens aren’t really up to date with the written language in the task (sorry for that). So these (valid) comments of yours were referring to outdated copy:

The text under image captions starts with "concisely describe" and it's not obvious if this is what the captions do, or a description of the action. Article descriptions, on the other hand, start with "Article descriptions are ..." – maybe a bit more consistency? Or is that only because of length?

I think starting a sentence with "concisely" might scare away some people who don't speak English on a near-native level.

And "disambiguate" might also be something we could rephrase – one can be very good at English without knowing that word.


If "in a row" doesn't work ... something about "days without break" maybe?

Yeah in a row might be harder to translate, +1 to days without break.


Other than that, love this conversation and changes so far (also @Charlotte), keep going! Will update design research prep material according to the final outcome.

Charlotte updated the task description. (Show Details)Sep 26 2019, 2:00 PM

Right @Johan and @schoenbaechler - I made another tweak or two. Have a look again, and if you've no further updates then I think we're good to go!

Johan added a comment.Sep 26 2019, 2:39 PM

I'd still prefer "can" instead of "will find opportunities to", but if you think it's better as it is, then I've got nothing else that I react to when reading the current copy. (:

Charlotte updated the task description. (Show Details)Sep 26 2019, 2:42 PM

I'd still prefer "can" instead of "will find opportunities to", but if you think it's better as it is, then I've got nothing else that I react to when reading the current copy. (:

Sorted! The copy is shorter this way as well, which helps on small screens.

Charlotte triaged this task as Medium priority.Sep 26 2019, 3:50 PM
Charlotte set the point value for this task to 1.

Thanks @Sharvaniharan & @Dbrant. Minor things:

01) Use a full stop in tooltip copy.

02) Use a full stop in task introduction copy (%username, thanks for your edits...)

03) Use a full stop in task description copy (Image captions describe an image to help...)

04)

  • Blocked (IP or userName):
  • The IP you are using is blocked from editing Wikipedia. Learn more about blocks by visiting the link below.
  • Your userName is blocked from editing Wikipedia. Learn more about blocks by visiting the link below.

Block communication differs from what’s been defined in the task’s description (maybe for a reason?). Also, I can’t check the copy for the username block as there’s no link to test it.

@schoenbaechler A couple of notes:

Block communication differs from what’s been defined in the task’s description (maybe for a reason?).

  • Saying "the IP you are using" does not make sense, since this expands into "the Internet Protocol you are using". It should be called "the IP address you are using". We should also mention the possibility that the user's IP address might fall within a _range_ of addresses that have been blocked, and is now collateral damage. (There's no way for us to tell if this is the case from the API.)

Also, I can’t check the copy for the username block as there’s no link to test it.

  • Unfortunately we don't have a way of knowing whether the block applies to the specific user, or to the IP address they are using. It's probably safer to say that the IP address is blocked, and direct the user to our help page.

(cc @Charlotte)

Thanks @Dbrant for the explanation. This makes sense, and I can update the help page to refer users to the IP address blocking help pages. Of course we've only kicked the problem back a layer, since that FAQ is going to have to link out to only a few pages that don't necessarily exist in all languages, but tant pis.

I like that precision in explaining the IP address block @Dbrant, thanks for the explanation. Moving it to QA signoff.

Dbrant closed this task as Resolved.Dec 9 2019, 5:22 PM